@InProceedings{BouletFe98,
  author =       {Pierre Boulet and Paul Feautrier},
  title =        {Scanning polyhedra without Do-loops},
  booktitle =    {PACT'98},
  pages =        {4-11},
  year =         1998,
  publisher =    {IEEE Computer Society}
}

@InProceedings{BouletRe98,
  author =       {Pierre Boulet and Xavier Redon},
  title =        {Communication Pre-evaluation in {HPF}},
  booktitle =    {EUROPAR'98},
  pages =        {263-272},
  year =         1998,
  volume =       1470,
  series =       {LNCS},
  publisher =    {Springer Verlag}
}

@InProceedings{ClaussPhil1996c,
  author =       "Philippe Clauss",
  booktitle =    "ACM Int. Conf. on Supercomputing",
  title =        "Counting Solutions to Linear and Nonlinear Constraints
                 through Ehrhart polynomials: Applications to Analyze
                 and Transform Scientific Programs",
  year =         "1996",
  url =          "http://icps.u-strasbg.fr/pub-96/pub-96-03.ps.gz",
  keywords =     "parallelizing compilers, Ehrhart polynomial,
                 optimizing compilers, rational polytope, nested loop",
  publisher =    "ACM",
  scope =        "hpc",
}

@InProceedings{ClaussPhil1996d,
  author =       "Philippe Clauss and Vincent Loechner",
  booktitle =    "IEEE Int. Conf. on Application Specific Array
                 Processors, ASAP'96",
  title =        "Parametric Analysis of Polyhedral Iteration Spaces",
  year =         "1996",
  url =          "http://icps.u-strasbg.fr/pub-96/pub-96-04.ps.gz",
  keywords =     "parallelizing compilers, Ehrhart polynomial,
                 optimizing compilers, rational polytope, nested loop",
  publisher =    "IEEE Computer Society",
  scope =        "hpc",
}

@INPROCEEDINGS{Collard94,
        AUTHOR             = {Jean-Fran\c{c}ois Collard},
        BOOKTITLE          = {Proc. Int. Conf. on Application in Parallel and Distributed Computing. IFIP WG 10.3},
        EDITOR             = {Claude Girault},
        PAGES              = {185--194},
        PUBLISHER          = {North Holland},
        TITLE              = {Code generation in automatic parallelizers},
        YEAR               = {1994}
}

@ARTICLE{CollardFeRi94,
        AUTHOR             = {Jean-Fran\c{c}ois Collard and Paul Feautrier and Tanguy Risset},
        JOURNAL            = {Parallel Processing Letters},
        NUMBER             = {3},
        PAGES              = {421-436},
        TITLE              = {Construction of {DO} loops from systems of affine constraints},
        VOLUME             = {5},
        YEAR               = {1995}
}

@INPROCEEDINGS{DRpitt,
        AUTHOR             = {Alain Darte and Yves Robert},
        BOOKTITLE          = {ISMM Conference on Parallel and Distributed Systems},
        EDITOR             = {R. Melhem},
        PAGES              = {75-82},
        PUBLISHER          = {ISMM Press},
        TITLE              = {Scheduling uniform loop nests},
        YEAR               = {1992}
}

@INPROCEEDINGS{DarteRisRob93,
        AUTHOR             = {Alain Darte and Tanguy Risset and Yves Robert},
        BOOKTITLE          = {Environments and Tools for Parallel Scientific Computing},
        EDITOR             = {J.J. Dongarra and B. Tourancheau},
        PAGES              = {309-332},
        PUBLISHER          = {North Holland},
        SERIES             = {Advances in Parallel Computing},
        TITLE              = {Loop nest scheduling and transformations},
        VOLUME             = {6},
        YEAR               = {1993}
}

@ARTICLE{DarteRob94b,
        AUTHOR             = {Alain Darte and Yves Robert},
        JOURNAL            = {IEEE Trans. Parallel Distributed Systems},
        NUMBER             = {8},
        PAGES              = {814-822},
        TITLE              = {Constructive methods for scheduling uniform loop nests},
        VOLUME             = {5},
        YEAR               = {1994}
}

@ARTICLE{DarteRob95,
        AUTHOR             = {Alain Darte and Yves Robert},
        JOURNAL            = {J. Parallel and Distributed Computing},
        PAGES              = {43-59},
        TITLE              = {Affine-by-statement scheduling of uniform and affine loop nests over parametric domains},
        VOLUME             = {29},
        YEAR               = {1995}
}

@INPROCEEDINGS{DionRob95,
        AUTHOR             = {Mich\`ele Dion and Yves Robert},
        BOOKTITLE          = {High-Performance Computing and Networking, International Conference and Exhibition},
        EDITOR             = {Bob Hertzberger and Guiseppe Serazzi},
        INSTITUTION        = {Laboratoire de l'Informatique du Parall\'{e}lisme},
        NOTE               = {Extended version available as Technical Report 94-30, LIP, ENS Lyon (anonymous ftp to lip.ens-lyon.fr)},
        PAGES              = {184-189},
        PUBLISHER          = {Springer-Verlag},
        TITLE              = {Mapping Affine Loop Nests: New Results},
        TYPE               = {Research Report},
        VOLUME             = {LCNS 919},
        YEAR               = {1995}
}

@ARTICLE{Feautrier88b,
        AUTHOR             = {Paul Feautrier},
        JOURNAL            = {RAIRO Recherche Opérationnelle},
        PAGES              = {243--268},
        TITLE              = {Parametric Integer Programming},
        VOLUME             = {22},
        YEAR               = {1988},
        NOTE               = {URL: \url{http://www.prism.uvsq.fr/parallel/softs/}}
}

@ARTICLE{Feautrier91,
        AUTHOR             = {Paul Feautrier},
        JOURNAL            = {Int. J. Parallel Programming},
        NUMBER             = {1},
        PAGES              = {23-51},
        TITLE              = {Dataflow analysis of array and scalar references},
        VOLUME             = {20},
        YEAR               = {1991}
}

@ARTICLE{Feautrier92part1,
        AUTHOR             = {Paul Feautrier},
        ADDRESS            = {Universit\'{e} Pierre et Marie Curie, Paris},
        INSTITUTION        = {Laboratoire MASI},
        JOURNAL            = {Int. J. Parallel Programming},
        NUMBER             = {5},
        PAGES              = {313--348},
        TITLE              = {Some efficient solutions to the affine scheduling problem, part {I}: one-dimensional time},
        VOLUME             = {21},
        YEAR               = {1992}
}

@ARTICLE{Feautrier92part2,
        AUTHOR             = {Paul Feautrier},
        ADDRESS            = {Universit\'{e} Pierre et Marie Curie, Paris},
        INSTITUTION        = {Laboratoire MASI},
        JOURNAL            = {Int. J. Parallel Programming},
        NUMBER             = {6},
        PAGES              = {389--420},
        TITLE              = {Some efficient solutions to the affine scheduling problem, part {II}: multi-dimensional time},
        VOLUME             = {21},
        YEAR               = {1992}
}

@TECHREPORT{FeautrierTa90,
        AUTHOR             = {Paul Feautrier and Nadia Tawbi},
        ADDRESS            = {Laboratoire MASI (Paris)},
        INSTITUTION        = {Institut Blaise Pascal},
        NUMBER             = {90-2},
        TITLE              = {R\'{e}solution de Syst\`{e}mes d'In\'{e}quations Lin\'{e}aires; mode d'emploi du logiciel {PIP}},
        YEAR               = {1990}
}

@ARTICLE{Feautriermap,
        AUTHOR             = {Paul Feautrier},
        JOURNAL            = {Parallel Processing Letters},
        NUMBER             = {3},
        PAGES              = {233-244},
        TITLE              = {Towards automatic distribution},
        VOLUME             = {4},
        YEAR               = {1994}
}

@INPROCEEDINGS{KellyPuRo95,
        AUTHOR             = {Wayne Kelly and William Pugh and Evan Rosser},
        ADDRESS            = {McLean, Virginia},
        BOOKTITLE          = {The 5th Symposium on Frontiers of Massively Parallel Computation},
        PAGES              = {332-341},
        TITLE              = {Code generation for multiple mappings},
        YEAR               = {1995}
}

@TechReport{OmegaManual,
  author =       "Wayne Kelly and Vadim Maslov and William Pugh and Evan
                 Rosser and Tatiana Shpeisman and David Wonnacott",
  title =        "{T}he {O}mega {L}ibrary {I}nterface {G}uide",
  institution =  "Dept. of Computer Science, Univ. of Maryland, College
                 Park",
  year =         "1996",
  note =         {URL: \url{http://www.cs.umd.edu/projects/omega/}}
}

@ARTICLE{Pugh92a,
        AUTHOR             = {William Pugh},
        JOURNAL            = {Communications of the ACM},
        PAGES              = {27-47},
        TITLE              = {A practical algorithm for exact array dependence analysis},
        VOLUME             = {8},
        YEAR               = {1992}
}
                            
@InProceedings{Pugh:1991:OTF,
  author =       "W. Pugh",
  title =        "The {Omega} test: a fast and practical integer
                 programming algorithm for dependence analysis",
  editor =       "{IEEE}",
  booktitle =    "Proceedings, Supercomputing '91: Albuquerque, New
                 Mexico, November 18--22, 1991",
  publisher =    "IEEE Computer Society Press",
  year =         1991,
  ISBN =         "0-8186-9158-1 (IEEE case), 0-8186-2158-3 (IEEE paper),
                 0-8186-6158-5 (IEEE microfiche), 0-89791-459-7 (ACM)",
  pages =        "4--13",
  bibdate =      "Wed Apr 15 16:28:01 MDT 1998",
  acknowledgement = ack-nhfb,
  classification = "C1180 (Optimisation techniques); C4240 (Programming
                 and algorithm theory); C6150G (Diagnostic, testing,
                 debugging and evaluating systems)",
  corpsource =   "Dept. of Comput. Sci., Maryland Univ., College Park,
                 MD, USA",
  keywords =     "approximate algorithms; array references;
                 computational complexity; dependence analysis;
                 Fourier-Motzkin variable elimination; integer
                 programming; integer programming algorithm; Omega test;
                 polynomial time complexity; production compilers;
                 program testing; worst-case exponential time
                 complexity",
  sponsororg =   "IEEE; ACM",
  treatment =    "P Practical",
}
                            
@ARTICLE{WolLam,
        AUTHOR             = {Michael E. Wolf and Monica S. Lam},
        JOURNAL            = {IEEE Trans. Parallel Distributed Systems},
        NUMBER             = {4},
        PAGES              = {452-471},
        TITLE              = {A loop transformation theory and an algorithm to maximize parallelism},
        VOLUME             = {2},
        YEAR               = {1991}
}

@MISC{wwwcaml,
        AUTHOR             = {{Projet Cristal}},
        HOWPUBLISHED       = {URL: \url{http://caml.inria.fr/}},
        INSTITUTION        = {INRIA},
        TITLE              = {The Caml language}
}

@MISC{wwwcamlp4,
        AUTHOR             = {Daniel de Rauglaudre},
        HOWPUBLISHED       = {URL: \url{http://caml.inria.fr/camlp4}},
        INSTITUTION        = {INRIA},
        TITLE              = {Camlp4}
}

@MISC{maple,
        HOWPUBLISHED       = {URL: \url{http://www.maplesoft.com}},
        AUTHOR        = {MapleSoft},
        TITLE              = {Maple}
}

@MISC{mathematica,
        HOWPUBLISHED       = {URL: \url{http://www.mathematica.com}},
        AUTHOR        = {{Wolfram Research}},
        TITLE              = {Mathematica}
}
